Subject: SDP> Re: IPP> Charter eyeglasses

From: "Scott Isaacson" <[email-masked]>
Date: Fri, 17 Apr 1998 01:16:37 -0600

Thanks to Bob and Harry for these very reasonable, rationale points.
My comments below are just 100% percent endorsements of their comments.

>>> Robert Herriot <[email-masked]> 04/16/98 01:40PM >>>
> I agree with  Scott's interpretation.  I think we chartered IPP to solve 
> communication among clients, servers and printers, not just between end 
> users and print servers.

> I am concerned that SDP is a big mistake and will create yet another 
> protocol, incompatible with all others including IPP. I think that it is 
> reasonable to borrow ideas from other protocols, such as TIPSI, but I think 
> we should continue along the IPP path we started.

SDP is a big mistake if it is not IPP with enhancements or it is
not the ALREADY STANDARD SDP:  TIPSI.  If neither IPP nor
TIPSI could not be enahanced to meet whatever the needs of a
server to device protocol, then what makes someone thing that they
can get a group of company reps together, start from scratch, and 
get it right?! given that is what we have done several times now.

> If IPP is not a reasonable embedded solution, I wonder why we are just now 
> hearing that, nearly a year after we decided on the encoding.  If IPP is 
> really such a bad embedded solution, perhaps we should fix it before we all 
> commit to supporting it and end up with support for both IPP and SDP.

I feel that it is a reasonable embedded solution.  Any "fixes" are just part of the
process now to move IPP/1.0 to 1.1 and beyond.